Ohai 0.6.8.rc.0


#1

Ohai 0.6.6 had a couple regressions so 0.6.8 is coming soon. I’ve
pushed a release candidate out to rubygems.org. If you can’t get it
via ‘gem install ohai --pre’ grab the gem from the url:
http://rubygems.org/downloads/ohai-0.6.8.rc.0.gem

This fixes:

OHAI-301 - ohai doesn’t properly munge platform when redhat-lsb
package is installed
OHAI-300 - broken filesystem plugin
OHAI-299 - Xen guest detecting as xen host

I’ve tested the first a bit. The second seems pretty straightforward.
I’d love if some Xen users could run through the third though.

I’ll ship it sometime tomorrow provided we don’t have any blockers.


Bryan McLellan | opscode | senior systems administrator
© 206.607.7108 | (t) @btmspox | (b) http://blog.loftninjas.org


#2

Hey Bryan,

On Wed, Oct 5, 2011 at 6:22 AM, Bryan McLellan btm@opscode.com wrote:

I’ve tested the first a bit. The second seems pretty straightforward.
I’d love if some Xen users could run through the third though.

I’ll ship it sometime tomorrow provided we don’t have any blockers.

Nitpicking, but testing 0.6.8 I’ve found that Linode DomUs with CentOS
and their latest kernel aren’t detected. Left some info here:

http://tickets.opscode.com/browse/OHAI-253?focusedCommentId=19826&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-19826

Cheers!


Bryan McLellan | opscode | senior systems administrator
© 206.607.7108 | (t) @btmspox | (b) http://blog.loftninjas.org


#3

On Wed, Oct 5, 2011 at 1:34 PM, Sergio Rubio rubiojr@frameos.org wrote:

Nitpicking, but testing 0.6.8 I’ve found that Linode DomUs with CentOS
and their latest kernel aren’t detected. Left some info here:

http://tickets.opscode.com/browse/OHAI-253?focusedCommentId=19826&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-19826

Nevermind, just found Matthew’s patch for OHAI-299

That will work there too.

Cheers!


Bryan McLellan | opscode | senior systems administrator
© 206.607.7108 | (t) @btmspox | (b) http://blog.loftninjas.org


#4

On Wed, Oct 5, 2011 at 9:08 AM, Sergio Rubio rubiojr@frameos.org wrote:

Nitpicking, but testing 0.6.8 I’ve found that Linode DomUs with CentOS
and their latest kernel aren’t detected. Left some info here:

Nevermind, just found Matthew’s patch for OHAI-299

So to confirm, these systems do have ‘/proc/xen’ which is what
Matthew’s patch looks for, but this is empty?

Matthew also drops looking for the independent_wallclock. If this is
unreliable, we should probably note so.


#5

On Wed, Oct 5, 2011 at 3:20 PM, Bryan McLellan btm@loftninjas.org wrote:

So to confirm, these systems do have ‘/proc/xen’ which is what
Matthew’s patch looks for, but this is empty?

Correct.

Matthew also drops looking for the independent_wallclock. If this is
unreliable, we should probably note so.